Debian Bug report logs - #592458
dpkg-cross: please keep component

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Simon Richter <sjr@debian.org>

Date: Tue, 10 Aug 2010 09:36:02 UTC

Severity: minor

Found in version dpkg-cross/2.5.8

Fixed in version dpkg-cross/2.6.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sjr@debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#592458; Package dpkg-cross. (Tue, 10 Aug 2010 09:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
New Bug report received and forwarded. Copy sent to sjr@debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>. (Tue, 10 Aug 2010 09:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-cross: please keep component
Date: Tue, 10 Aug 2010 11:33:22 +0200
Package: dpkg-cross
Version: 2.5.8+morelibs
Severity: minor

Hi,

the Section of the generated package is hardcoded as "devel"; when
converting non-free packages, this makes the converted packages appear
as if they were part of main.

If there is a component prefix in the original package's Section, this
should probably be taken over to the generated package.

   Simon

-- Package-specific info:

-- (/etc/dpkg-cross/cross-compile not submitted) --


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dpkg-cross depends on:
ii  binutils-multiarch        2.20.1-12      Binary utilities that support mult
ii  debconf [debconf-2.0]     1.5.33         Debian configuration management sy
ii  dpkg-dev                  1.15.8.3       Debian package development tools
ii  libconfig-auto-perl       0.20-2         Magical config file parser
ii  libdebian-dpkgcross-perl  2.5.8+morelibs functions to aid cross-compiling D
ii  perl                      5.10.1-13      Larry Wall's Practical Extraction 

Versions of packages dpkg-cross recommends:
ii  fakeroot                      1.14.4-1   Gives a fake root environment

dpkg-cross suggests no packages.

-- debconf information excluded




Bug No longer marked as found in versions 2.5.8+morelibs. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 20:39:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dpkg-cross/2.5.8. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 20:39:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 08 Dec 2010 20:42:07 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Wed, 08 Dec 2010 21:03:05 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Wed, 08 Dec 2010 21:03:05 GMT) Full text and rfc822 format available.

Message #16 received at 592458-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 592458-close@bugs.debian.org
Subject: Bug#592458: fixed in dpkg-cross 2.6.0
Date: Wed, 08 Dec 2010 21:02:06 +0000
Source: dpkg-cross
Source-Version: 2.6.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.6.0.dsc
  to main/d/dpkg-cross/dpkg-cross_2.6.0.dsc
dpkg-cross_2.6.0.tar.gz
  to main/d/dpkg-cross/dpkg-cross_2.6.0.tar.gz
dpkg-cross_2.6.0_all.deb
  to main/d/dpkg-cross/dpkg-cross_2.6.0_all.deb
libdebian-dpkgcross-perl_2.6.0_all.deb
  to main/d/dpkg-cross/libdebian-dpkgcross-perl_2.6.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592458@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 Dec 2010 20:39:01 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.6.0
Distribution: experimental
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 592458 599206 605409
Changes: 
 dpkg-cross (2.6.0) experimental; urgency=low
 .
   * Add armhf support to cross-config (Closes: #605409)
   * Document file removal process (Closes: #599206)
   * Add translation support for runtime messages.
   * Move upload to experimental
   * Retain Section in converted package. (Closes: #592458)
Checksums-Sha1: 
 e07606bb47976a0b637caef76dd58fe613d6e560 1209 dpkg-cross_2.6.0.dsc
 aaa3147e0d76de06a38db9c834b669787c4662b4 76249 dpkg-cross_2.6.0.tar.gz
 248103057cc18a1553fb21fb8420f28d30ca4b1d 53542 dpkg-cross_2.6.0_all.deb
 74c02e3935fc9c14fbd3f764ec5dab3f6593c745 29492 libdebian-dpkgcross-perl_2.6.0_all.deb
Checksums-Sha256: 
 c2f7c767164b62dd032970bf63a17aed423ee8137857dad4e6dfa7378b631cdd 1209 dpkg-cross_2.6.0.dsc
 bef483939997ff3ffdae2302fbdd4d5ee212f302077e8b0e2e0e47e856c8ecbc 76249 dpkg-cross_2.6.0.tar.gz
 38f3c0b91fb0a21d15dbbac6a8e4e5c19d460ce9dd9b7b86b26c9a4ef40e23df 53542 dpkg-cross_2.6.0_all.deb
 50e1798fa576508d18d66c6f8ff327b2717a411ed783f39a60f4b8b2c6e726e4 29492 libdebian-dpkgcross-perl_2.6.0_all.deb
Files: 
 8fa5680ee8be84c6ba30e64845c2e13f 1209 utils extra dpkg-cross_2.6.0.dsc
 8adaf56a64a62f1b3ee0e8fbd02b6090 76249 utils extra dpkg-cross_2.6.0.tar.gz
 3e197e2215960710964e3707214a4f3c 53542 utils extra dpkg-cross_2.6.0_all.deb
 23425c78224a4c01e492c54ea6674f0f 29492 perl extra libdebian-dpkgcross-perl_2.6.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkz/77oACgkQiAEJSii8s+P0KwCgyVVa6WalCeUtmLWYxRzCGjau
V2cAoNvOzu2Gh6xhVIhZ8d0o/DKKkc1A
=jLlU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Mar 2011 07:40:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:55:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.